diff -urN linux-2.6.0-test1/arch/mips/mm/tlb-r3k.c linux-2.6.0-test1-printk-mips/arch/mips/mm/tlb-r3k.c
--- linux-2.6.0-test1/arch/mips/mm/tlb-r3k.c	2003-07-13 23:38:47.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/tlb-r3k.c	2003-07-16 15:45:48.000000000 -0400
@@ -47,7 +47,7 @@
 	int entry;
 
 #ifdef DEBUG_TLB
-	printk("[tlball]");
+	printk(KERN_DEBUG "[tlball]");
 #endif
 
 	local_irq_save(flags);
@@ -70,7 +70,7 @@
 
 	if (cpu_context(cpu, mm) != 0) {
 #ifdef DEBUG_TLB
-		printk("[tlbmm<%lu>]", (unsigned long)cpu_context(cpu, mm));
+		printk(KERN_DEBUG "[tlbmm<%lu>]", (unsigned long)cpu_context(cpu, mm));
 #endif
 		drop_mmu_context(mm, cpu);
 	}
@@ -87,7 +87,7 @@
 		int size;
 
 #ifdef DEBUG_TLB
-		printk("[tlbrange<%lu,0x%08lx,0x%08lx>]",
+		printk(KERN_DEBUG "[tlbrange<%lu,0x%08lx,0x%08lx>]",
 			cpu_context(cpu, mm) & ASID_MASK, start, end);
 #endif
 		local_irq_save(flags);
@@ -126,7 +126,7 @@
 	int size;
 
 #ifdef DEBUG_TLB
-	printk("[tlbrange<%lu,0x%08lx,0x%08lx>]", start, end);
+	printk(KERN_DEBUG "[tlbrange<%lu,0x%08lx,0x%08lx>]", start, end);
 #endif
 	local_irq_save(flags);
 	size = (end - start + (PAGE_SIZE - 1)) >> PAGE_SHIFT;
@@ -166,7 +166,7 @@
 		int oldpid, newpid, idx;
 
 #ifdef DEBUG_TLB
-		printk("[tlbpage<%lu,0x%08lx>]", cpu_context(cpu, vma->vm_mm), page);
+		printk(KERN_DEBUG "[tlbpage<%lu,0x%08lx>]", cpu_context(cpu, vma->vm_mm), page);
 #endif
 		newpid = cpu_context(cpu, vma->vm_mm) & ASID_MASK;
 		page &= PAGE_MASK;
@@ -203,7 +203,7 @@
 
 #ifdef DEBUG_TLB
 	if ((pid != (cpu_context(cpu, vma->vm_mm) & ASID_MASK)) || (cpu_context(cpu, vma->vm_mm) == 0)) {
-		printk("update_mmu_cache: Wheee, bogus tlbpid mmpid=%lu tlbpid=%d\n",
+		printk(KERN_DEBUG "update_mmu_cache: Wheee, bogus tlbpid mmpid=%lu tlbpid=%d\n",
 		       (cpu_context(cpu, vma->vm_mm)), pid);
 	}
 #endif
@@ -237,7 +237,7 @@
 		unsigned long w;
 
 #ifdef DEBUG_TLB
-		printk("[tlbwired<entry lo0 %8x, hi %8x\n, pagemask %8x>]\n",
+		printk(KERN_DEBUG "[tlbwired<entry lo0 %8x, hi %8x\n, pagemask %8x>]\n",
 		       entrylo0, entryhi, pagemask);
 #endif
 
@@ -248,7 +248,7 @@
 		w = read_c0_wired();
 		write_c0_wired(w + 1);
 		if (read_c0_wired() != w + 1) {
-			printk("[tlbwired] No WIRED reg?\n");
+			printk(KERN_WARNING "[tlbwired] No WIRED reg?\n");
 			return;
 		}
 		write_c0_index(w << 8);
@@ -265,7 +265,7 @@
 
 	} else if (wired < 8) {
 #ifdef DEBUG_TLB
-		printk("[tlbwired<entry lo0 %8x, hi %8x\n>]\n",
+		printk(KERN_DEBUG "[tlbwired<entry lo0 %8x, hi %8x\n>]\n",
 		       entrylo0, entryhi);
 #endif
 
diff -urN linux-2.6.0-test1/arch/mips/mm/tlb-r4k.c linux-2.6.0-test1-printk-mips/arch/mips/mm/tlb-r4k.c
--- linux-2.6.0-test1/arch/mips/mm/tlb-r4k.c	2003-07-13 23:32:28.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/tlb-r4k.c	2003-07-16 15:37:04.000000000 -0400
@@ -41,7 +41,7 @@
 	int entry;
 
 #ifdef DEBUG_TLB
-	printk("[tlball]");
+	printk(KERN_DEBUG "[tlball]");
 #endif
 
 	local_irq_save(flags);
@@ -77,7 +77,7 @@
 
 	if (cpu_context(cpu, mm) != 0) {
 #ifdef DEBUG_TLB
-		printk("[tlbmm<%d>]", cpu_context(cpu, mm));
+		printk(KERN_DEBUG "[tlbmm<%d>]", cpu_context(cpu, mm));
 #endif
 		drop_mmu_context(mm,cpu);
 	}
@@ -94,7 +94,7 @@
 		int size;
 
 #ifdef DEBUG_TLB
-		printk("[tlbrange<%02x,%08lx,%08lx>]", cpu_context(cpu, mm) & ASID_MASK,
+		printk(KERN_DEBUG "[tlbrange<%02x,%08lx,%08lx>]", cpu_context(cpu, mm) & ASID_MASK,
 		       start, end);
 #endif
 		local_irq_save(flags);
@@ -140,7 +140,7 @@
 	int size;
 
 #ifdef DEBUG_TLB
-	printk("[tlbkernelrange<%02x,%08lx,%08lx>]", start, end);
+	printk(KERN_DEBUG "[tlbkernelrange<%02x,%08lx,%08lx>]", start, end);
 #endif
 	local_irq_save(flags);
 	size = (end - start + (PAGE_SIZE - 1)) >> PAGE_SHIFT;
@@ -187,7 +187,7 @@
 		int oldpid, newpid, idx;
 
 #ifdef DEBUG_TLB
-		printk("[tlbpage<%d,%08lx>]", cpu_context(cpu, vma->vm_mm),
+		printk(KERN_DEBUG "[tlbpage<%d,%08lx>]", cpu_context(cpu, vma->vm_mm),
 		       page);
 #endif
 		newpid = (cpu_context(cpu, vma->vm_mm) & ASID_MASK);
@@ -269,7 +269,7 @@
 #ifdef DEBUG_TLB
 	if ((pid != cpu_context(cpu, vma->vm_mm) & ASID_MASK) ||
 	    (cpu_context(vma->vm_mm) == 0)) {
-		printk("update_mmu_cache: Wheee, bogus tlbpid mmpid=%d "
+		printk(KERN_DEBUG "update_mmu_cache: Wheee, bogus tlbpid mmpid=%d "
 		       "tlbpid=%d\n",
 		       (int) (cpu_context(cpu, vma->vm_mm) & ASID_MASK), pid);
 	}
diff -urN linux-2.6.0-test1/arch/mips/mm/tlb-sb1.c linux-2.6.0-test1-printk-mips/arch/mips/mm/tlb-sb1.c
--- linux-2.6.0-test1/arch/mips/mm/tlb-sb1.c	2003-07-13 23:39:26.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/mm/tlb-sb1.c	2003-07-16 15:55:45.000000000 -0400
@@ -51,7 +51,7 @@
 		  "=r" (entrylo1hi), "=r" (entrylo1lo),
 		  "=r" (pagemask));
 
-	printk("%08X%08X %08X%08X %08X%08X %08X",
+	printk(KERN_ALERT "%08X%08X %08X%08X %08X%08X %08X",
 	       entryhihi, entryhilo,
 	       entrylo0hi, entrylo0lo,
 	       entrylo1hi, entrylo1lo,
@@ -65,21 +65,21 @@
 	int entry;
 	local_irq_save(flags);
 	old_ctx = read_c0_entryhi();
-	printk("Current TLB registers state:\n"
+	printk(KERN_ALERT "Current TLB registers state:\n"
 	       "      EntryHi       EntryLo0          EntryLo1     PageMask  Index\n"
 	       "--------------------------------------------------------------------\n");
 	dump_cur_tlb_regs();
-	printk(" %08X\n", read_c0_index());
-	printk("\n\nFull TLB Dump:\n"
+	printk(KERN_ALERT " %08X\n", read_c0_index());
+	printk(KERN_ALERT "\n\nFull TLB Dump:\n"
 	       "Idx      EntryHi       EntryLo0          EntryLo1     PageMask\n"
 	       "--------------------------------------------------------------\n");
 	for (entry = 0; entry < current_cpu_data.tlbsize; entry++) {
 		write_c0_index(entry);
-		printk("\n%02i ", entry);
+		printk(KERN_ALERT "\n%02i ", entry);
 		tlb_read();
 		dump_cur_tlb_regs();
 	}
-	printk("\n");
+	printk(KERN_ALERT "\n");
 	write_c0_entryhi(old_ctx);
 	local_irq_restore(flags);
 }
diff -urN linux-2.6.0-test1/arch/mips/momentum/ocelot_c/irq.c linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_c/irq.c
--- linux-2.6.0-test1/arch/mips/momentum/ocelot_c/irq.c	2003-07-13 23:37:22.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_c/irq.c	2003-07-16 19:54:37.000000000 -0400
@@ -172,7 +172,7 @@
 	cpci_irq_init();
 
 #ifdef CONFIG_KGDB
-	printk("start kgdb ...\n");
+	printk(KERN_INFO "start kgdb ...\n");
 	set_debug_traps();
 	breakpoint();	/* you may move this line to whereever you want :-) */
 #endif
diff -urN linux-2.6.0-test1/arch/mips/momentum/ocelot_c/setup.c linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_c/setup.c
--- linux-2.6.0-test1/arch/mips/momentum/ocelot_c/setup.c	2003-07-13 23:31:22.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_c/setup.c	2003-07-16 19:54:14.000000000 -0400
@@ -234,58 +234,58 @@
 	tmpword = OCELOT_FPGA_READ(BOARDREV);
 #ifdef CONFIG_CPU_SR71000
 	if (tmpword < 26)
-		printk("Momenco Ocelot-CS: Board Assembly Rev. %c\n",
+		printk(KERN_INFO "Momenco Ocelot-CS: Board Assembly Rev. %c\n",
 			'A'+tmpword);
 	else
-		printk("Momenco Ocelot-CS: Board Assembly Revision #0x%x\n",
+		printk(KERN_INFO "Momenco Ocelot-CS: Board Assembly Revision #0x%x\n",
 			tmpword);
 #else
 	if (tmpword < 26)
-		printk("Momenco Ocelot-C: Board Assembly Rev. %c\n",
+		printk(KERN_INFO "Momenco Ocelot-C: Board Assembly Rev. %c\n",
 			'A'+tmpword);
 	else
-		printk("Momenco Ocelot-C: Board Assembly Revision #0x%x\n",
+		printk(KERN_INFO "Momenco Ocelot-C: Board Assembly Revision #0x%x\n",
 			tmpword);
 #endif
 
 	tmpword = OCELOT_FPGA_READ(FPGA_REV);
-	printk("FPGA Rev: %d.%d\n", tmpword>>4, tmpword&15);
+	printk(KERN_INFO "FPGA Rev: %d.%d\n", tmpword>>4, tmpword&15);
 	tmpword = OCELOT_FPGA_READ(RESET_STATUS);
-	printk("Reset reason: 0x%x\n", tmpword);
+	printk(KERN_INFO "Reset reason: 0x%x\n", tmpword);
 	switch (tmpword) {
 		case 0x1:
-			printk("  - Power-up reset\n");
+			printk(KERN_INFO "  - Power-up reset\n");
 			break;
 		case 0x2:
-			printk("  - Push-button reset\n");
+			printk(KERN_INFO "  - Push-button reset\n");
 			break;
 		case 0x4:
-			printk("  - cPCI bus reset\n");
+			printk(KERN_INFO "  - cPCI bus reset\n");
 			break;
 		case 0x8:
-			printk("  - Watchdog reset\n");
+			printk(KERN_INFO "  - Watchdog reset\n");
 			break;
 		case 0x10:
-			printk("  - Software reset\n");
+			printk(KERN_INFO "  - Software reset\n");
 			break;
 		default:
-			printk("  - Unknown reset cause\n");
+			printk(KERN_INFO "  - Unknown reset cause\n");
 	}
 	reset_reason = tmpword;
 	OCELOT_FPGA_WRITE(0xff, RESET_STATUS);
 
 	tmpword = OCELOT_FPGA_READ(CPCI_ID);
-	printk("cPCI ID register: 0x%02x\n", tmpword);
-	printk("  - Slot number: %d\n", tmpword & 0x1f);
-	printk("  - PCI bus present: %s\n", tmpword & 0x40 ? "yes" : "no");
-	printk("  - System Slot: %s\n", tmpword & 0x20 ? "yes" : "no");
+	printk(KERN_INFO "cPCI ID register: 0x%02x\n", tmpword);
+	printk(KERN_INFO "  - Slot number: %d\n", tmpword & 0x1f);
+	printk(KERN_INFO "  - PCI bus present: %s\n", tmpword & 0x40 ? "yes" : "no");
+	printk(KERN_INFO "  - System Slot: %s\n", tmpword & 0x20 ? "yes" : "no");
 
 	tmpword = OCELOT_FPGA_READ(BOARD_STATUS);
-	printk("Board Status register: 0x%02x\n", tmpword);
-	printk("  - User jumper: %s\n", (tmpword & 0x80)?"installed":"absent");
-	printk("  - Boot flash write jumper: %s\n", (tmpword&0x40)?"installed":"absent");
-	printk("  - L3 Cache size: %d MiB\n", (1<<((tmpword&12) >> 2))&~1);
-	printk("  - SDRAM size: %d MiB\n", 1<<(6+(tmpword&3)));
+	printk(KERN_INFO "Board Status register: 0x%02x\n", tmpword);
+	printk(KERN_INFO "  - User jumper: %s\n", (tmpword & 0x80)?"installed":"absent");
+	printk(KERN_INFO "  - Boot flash write jumper: %s\n", (tmpword&0x40)?"installed":"absent");
+	printk(KERN_INFO "  - L3 Cache size: %d MiB\n", (1<<((tmpword&12) >> 2))&~1);
+	printk(KERN_INFO "  - SDRAM size: %d MiB\n", 1<<(6+(tmpword&3)));
 
 	switch(tmpword &3) {
 	case 3:
@@ -317,7 +317,7 @@
 	if (!io_remap_range) {
 		panic("Could not ioremap I/O port range");
 	}
-	printk("io_remap_range set at 0x%08x\n", (uint32_t)io_remap_range);
+	printk(KERN_NOTICE "io_remap_range set at 0x%08x\n", (uint32_t)io_remap_range);
 	set_io_port_base(io_remap_range - 0xc0000000);
 
 	return 0;
diff -urN linux-2.6.0-test1/arch/mips/momentum/ocelot_g/gt-irq.c linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_g/gt-irq.c
--- linux-2.6.0-test1/arch/mips/momentum/ocelot_g/gt-irq.c	2003-07-13 23:30:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_g/gt-irq.c	2003-07-16 19:49:12.000000000 -0400
@@ -221,7 +221,7 @@
 	 */
 	if (handled == 0) {
 		if (counter < 50) {
-			printk("Spurious Galileo interrupt...\n");
+			printk(KERN_NOTICE "Spurious Galileo interrupt...\n");
 			counter++;
 		}
 	}
diff -urN linux-2.6.0-test1/arch/mips/momentum/ocelot_g/irq.c linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_g/irq.c
--- linux-2.6.0-test1/arch/mips/momentum/ocelot_g/irq.c	2003-07-13 23:32:32.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_g/irq.c	2003-07-16 19:49:49.000000000 -0400
@@ -162,7 +162,7 @@
 	gt64240_irq_init();
 
 #ifdef CONFIG_KGDB
-	printk("start kgdb ...\n");
+	printk(KERN_INFO "start kgdb ...\n");
 	set_debug_traps();
 	breakpoint();	/* you may move this line to whereever you want :-) */
 #endif
diff -urN linux-2.6.0-test1/arch/mips/momentum/ocelot_g/setup.c linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_g/setup.c
--- linux-2.6.0-test1/arch/mips/momentum/ocelot_g/setup.c	2003-07-13 23:32:32.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/momentum/ocelot_g/setup.c	2003-07-16 19:52:22.000000000 -0400
@@ -151,26 +151,26 @@
 
 	tmpword = OCELOT_PLD_READ(BOARDREV);
 	if (tmpword < 26)
-		printk("Momenco Ocelot-G: Board Assembly Rev. %c\n", 'A'+tmpword);
+		printk(KERN_INFO "Momenco Ocelot-G: Board Assembly Rev. %c\n", 'A'+tmpword);
 	else
-		printk("Momenco Ocelot-G: Board Assembly Revision #0x%x\n", tmpword);
+		printk(KERN_INFO "Momenco Ocelot-G: Board Assembly Revision #0x%x\n", tmpword);
 
 	tmpword = OCELOT_PLD_READ(PLD1_ID);
-	printk("PLD 1 ID: %d.%d\n", tmpword>>4, tmpword&15);
+	printk(KERN_INFO "PLD 1 ID: %d.%d\n", tmpword>>4, tmpword&15);
 	tmpword = OCELOT_PLD_READ(PLD2_ID);
-	printk("PLD 2 ID: %d.%d\n", tmpword>>4, tmpword&15);
+	printk(KERN_INFO "PLD 2 ID: %d.%d\n", tmpword>>4, tmpword&15);
 	tmpword = OCELOT_PLD_READ(RESET_STATUS);
-	printk("Reset reason: 0x%x\n", tmpword);
+	printk(KERN_INFO "Reset reason: 0x%x\n", tmpword);
 	reset_reason = tmpword;
 	OCELOT_PLD_WRITE(0xff, RESET_STATUS);
 
 	tmpword = OCELOT_PLD_READ(BOARD_STATUS);
-	printk("Board Status register: 0x%02x\n", tmpword);
-	printk("  - User jumper: %s\n", (tmpword & 0x80)?"installed":"absent");
-	printk("  - Boot flash write jumper: %s\n", (tmpword&0x40)?"installed":"absent");
-	printk("  - Tulip PHY %s connected\n", (tmpword&0x10)?"is":"not");
-	printk("  - L3 Cache size: %d MiB\n", (1<<((tmpword&12) >> 2))&~1);
-	printk("  - SDRAM size: %d MiB\n", 1<<(6+(tmpword&3)));
+	printk(KERN_INFO "Board Status register: 0x%02x\n", tmpword);
+	printk(KERN_INFO "  - User jumper: %s\n", (tmpword & 0x80)?"installed":"absent");
+	printk(KERN_INFO "  - Boot flash write jumper: %s\n", (tmpword&0x40)?"installed":"absent");
+	printk(KERN_INFO "  - Tulip PHY %s connected\n", (tmpword&0x10)?"is":"not");
+	printk(KERN_INFO "  - L3 Cache size: %d MiB\n", (1<<((tmpword&12) >> 2))&~1);
+	printk(KERN_INFO "  - SDRAM size: %d MiB\n", 1<<(6+(tmpword&3)));
 
 	if (tmpword&12)
 		l3func((1<<(((tmpword&12) >> 2)+20)));
@@ -213,7 +213,7 @@
 	int register i;
 	unsigned long tmp;
 
-	printk("Enabling L3 cache...");
+	printk(KERN_INFO "Enabling L3 cache...");
 
 	/* Enable the L3 cache in the GT64120A's CPU Configuration register */
 	GT_READ(0, &tmp);
@@ -241,7 +241,7 @@
 	/* Let the RM7000 MM code know that the tertiary cache is enabled */
 	rm7k_tcache_enabled = 1;
 
-	printk("Done\n");
+	printk(KERN_INFO "Done\n");
 }
 
 
@@ -256,7 +256,7 @@
 	if (!io_remap_range) {
 		panic("Could not ioremap I/O port range");
 	}
-	printk("io_remap_range set at 0x%08x\n", (uint32_t)io_remap_range);
+	printk(KERN_NOTICE "io_remap_range set at 0x%08x\n", (uint32_t)io_remap_range);
 	set_io_port_base(io_remap_range - 0xc0000000);
 
 	return 0;
diff -urN linux-2.6.0-test1/arch/mips/pci/common.c linux-2.6.0-test1-printk-mips/arch/mips/pci/common.c
--- linux-2.6.0-test1/arch/mips/pci/common.c	2003-07-13 23:34:41.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/common.c	2003-07-16 16:16:44.000000000 -0400
@@ -31,7 +31,7 @@
 	if (dev->resource[PCI_ROM_RESOURCE].start)
 		cmd |= PCI_COMMAND_MEMORY;
 	if (cmd != old_cmd) {
-		printk("PCI: Enabling device %s (%04x -> %04x)\n",
+		printk(KERN_NOTICE "PCI: Enabling device %s (%04x -> %04x)\n",
 		       dev->slot_name, old_cmd, cmd);
 		pci_write_config_word(dev, PCI_COMMAND, cmd);
 	}
diff -urN linux-2.6.0-test1/arch/mips/pci/fixup-ite8172g.c linux-2.6.0-test1-printk-mips/arch/mips/pci/fixup-ite8172g.c
--- linux-2.6.0-test1/arch/mips/pci/fixup-ite8172g.c	2003-07-13 23:34:42.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/fixup-ite8172g.c	2003-07-16 16:17:06.000000000 -0400
@@ -181,7 +181,7 @@
 			continue;	/* do nothing */
 		}
 #ifdef DEBUG
-		printk("irq fixup: slot %d, int line %d, int number %d\n",
+		printk(KERN_INFO "irq fixup: slot %d, int line %d, int number %d\n",
 		       slot, pin, dev->irq);
 #endif
 		pci_write_config_byte(dev, PCI_INTERRUPT_LINE, dev->irq);
diff -urN linux-2.6.0-test1/arch/mips/pci/fixup-ivr.c linux-2.6.0-test1-printk-mips/arch/mips/pci/fixup-ivr.c
--- linux-2.6.0-test1/arch/mips/pci/fixup-ivr.c	2003-07-13 23:30:37.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/fixup-ivr.c	2003-07-16 16:10:01.000000000 -0400
@@ -145,7 +145,7 @@
 			break;
 		}
 #ifdef DEBUG
-		printk("irq fixup: slot %d, int line %d, int number %d\n",
+		printk(KERN_DEBUG "irq fixup: slot %d, int line %d, int number %d\n",
 		       slot, pin, dev->irq);
 #endif
 		pci_write_config_byte(dev, PCI_INTERRUPT_LINE, dev->irq);
diff -urN linux-2.6.0-test1/arch/mips/pci/fixups-ev96100.c linux-2.6.0-test1-printk-mips/arch/mips/pci/fixups-ev96100.c
--- linux-2.6.0-test1/arch/mips/pci/fixups-ev96100.c	2003-07-13 23:32:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/fixups-ev96100.c	2003-07-16 16:15:01.000000000 -0400
@@ -69,7 +69,7 @@
 				      &vendor);
 
 #ifdef DEBUG
-		printk("devfn %x, slot %d devid %x\n",
+		printk(KERN_DEBUG "devfn %x, slot %d devid %x\n",
 		       dev->devfn, slot, gt_devid);
 #endif
 
diff -urN linux-2.6.0-test1/arch/mips/pci/ops-au1000.c linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-au1000.c
--- linux-2.6.0-test1/arch/mips/pci/ops-au1000.c	2003-07-13 23:38:41.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-au1000.c	2003-07-16 16:22:23.000000000 -0400
@@ -161,13 +161,13 @@
 
 #if 0
 	if (access_type == PCI_ACCESS_WRITE) {
-		printk("cfg write:  ");
+		printk(KERN_DEBUG "cfg write:  ");
 	} else {
-		printk("cfg read:  ");
+		printk(KERN_DEBUG "cfg read:  ");
 	}
-	printk("devfn %x, device %x func %x  \n", devfn, device, function);
+	printk(KERN_DEBUG "devfn %x, device %x func %x  \n", devfn, device, function);
 	if (access_type == PCI_ACCESS_WRITE) {
-		printk("data %x\n", *data);
+		printk(KERN_DEBUG "data %x\n", *data);
 	}
 #endif
 
@@ -189,14 +189,14 @@
 	status = au_readl(Au1500_PCI_STATCMD);
 #if 0
 	if (access_type == PCI_ACCESS_READ) {
-		printk("read data: %x\n", *data);
+		printk(KERN_DEBUG "read data: %x\n", *data);
 	}
 #endif
 	if (status & (1 << 29)) {
 		*data = 0xffffffff;
 		return -1;
 	} else if ((status >> 28) & 0xf) {
-		printk("PCI ERR detected: status %x\n", status);
+		printk(KERN_ERR "PCI ERR detected: status %x\n", status);
 		*data = 0xffffffff;
 		return -1;
 	} else {
diff -urN linux-2.6.0-test1/arch/mips/pci/ops-ddb5074.c linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-ddb5074.c
--- linux-2.6.0-test1/arch/mips/pci/ops-ddb5074.c	2003-07-13 23:28:53.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-ddb5074.c	2003-07-16 16:05:03.000000000 -0400
@@ -323,9 +323,9 @@
 				db_verify(pci_read_config_dword
 					  (&dev, i * 4, &temp),
 					  == PCIBIOS_SUCCESSFUL);
-				printk("\t%08X", temp);
+				printk(KERN_INFO "\t%08X", temp);
 				if ((i % 4) == 3)
-					printk("\n");
+					printk(KERN_INFO "\n");
 			}
 		}
 	}
diff -urN linux-2.6.0-test1/arch/mips/pci/ops-ddb5476.c linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-ddb5476.c
--- linux-2.6.0-test1/arch/mips/pci/ops-ddb5476.c	2003-07-13 23:30:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-ddb5476.c	2003-07-16 16:12:45.000000000 -0400
@@ -338,9 +338,9 @@
 				db_verify(pci_read_config_dword
 					  (&dev, i * 4, &temp),
 					  == PCIBIOS_SUCCESSFUL);
-				printk("\t%08X", temp);
+				printk(KERN_INFO "\t%08X", temp);
 				if ((i % 4) == 3)
-					printk("\n");
+					printk(KERN_INFO "\n");
 			}
 		}
 	}
diff -urN linux-2.6.0-test1/arch/mips/pci/ops-ev96100.c linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-ev96100.c
--- linux-2.6.0-test1/arch/mips/pci/ops-ev96100.c	2003-07-13 23:32:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/ops-ev96100.c	2003-07-16 16:14:33.000000000 -0400
@@ -125,7 +125,7 @@
 
 	if (intr &
 	    (GT_INTRCAUSE_MASABORT0_BIT | GT_INTRCAUSE_TARABORT0_BIT)) {
-		//printk("config access error:  %x:%x\n", dev_fn,where);
+		/* printk(KERN_ERR "config access error:  %x:%x\n", dev_fn,where); */
 		/* Error occured */
 
 		/* Clear bits */
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-cobalt.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-cobalt.c
--- linux-2.6.0-test1/arch/mips/pci/pci-cobalt.c	2003-07-13 23:38:02.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-cobalt.c	2003-07-16 16:21:49.000000000 -0400
@@ -38,7 +38,7 @@
 	} while (--timeout > 0);
 	if ((timeout <= 0) || (ctrl & PCI_BIST_CODE_MASK))
 		printk
-		    ("PCI: Expansion slot card failed BIST with code %x\n",
+		    (KERN_ERR "PCI: Expansion slot card failed BIST with code %x\n",
 		     (ctrl & PCI_BIST_CODE_MASK));
 }
 
@@ -374,7 +374,7 @@
 {
 	unsigned int devfn = PCI_DEVFN(COBALT_PCICONF_VIA, 0);
 
-	printk("PCI: Probing PCI hardware\n");
+	printk(KERN_INFO "PCI: Probing PCI hardware\n");
 
 	/* Read the cobalt id register out of the PCI config space */
 	PCI_CFG_SET(devfn, (VIA_COBALT_BRD_ID_REG & ~0x3));
@@ -382,7 +382,7 @@
 	    >> ((VIA_COBALT_BRD_ID_REG & 3) * 8);
 	cobalt_board_id = VIA_COBALT_BRD_REG_to_ID(cobalt_board_id);
 
-	printk("Cobalt Board ID: %d\n", cobalt_board_id);
+	printk(KERN_INFO "Cobalt Board ID: %d\n", cobalt_board_id);
 
 	ioport_resource.start = 0x00000000;
 	ioport_resource.end = 0x0fffffff;
@@ -408,7 +408,7 @@
 
 	pci_read_config_word(dev, PCI_COMMAND, &cmd);
 	pci_read_config_word(dev, PCI_STATUS, &status);
-	printk("PCI: Enabling device %s (%04x  %04x)\n", dev->slot_name,
+	printk(KERN_INFO "PCI: Enabling device %s (%04x  %04x)\n", dev->slot_name,
 	       cmd, status);
 	/* We'll sort this out when we know it isn't enabled ;) */
 
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-ddb5074.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ddb5074.c
--- linux-2.6.0-test1/arch/mips/pci/pci-ddb5074.c	2003-07-13 23:30:41.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ddb5074.c	2003-07-16 16:10:21.000000000 -0400
@@ -63,7 +63,7 @@
 	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		slot_num = PCI_SLOT(dev->devfn);
 		db_assert(slot_num < MAX_SLOT_NUM);
-		printk("irq_map[%d]: %02x\n", slot_num, irq_map[slot_num]);
+		printk(KERN_INFO "irq_map[%d]: %02x\n", slot_num, irq_map[slot_num]);
 		db_assert(irq_map[slot_num] != 0xff);
 
 		pci_write_config_byte(dev,
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-ddb5477.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ddb5477.c
--- linux-2.6.0-test1/arch/mips/pci/pci-ddb5477.c	2003-07-13 23:33:45.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ddb5477.c	2003-07-16 16:15:31.000000000 -0400
@@ -262,7 +262,7 @@
 #define M1535_INDEX_PORT  0x3f0
 #define M1535_DATA_PORT   0x3f1
 
-	printk("Configuring ALI M1535 Super I/O mouse irq.\n");
+	printk(KERN_INFO "Configuring ALI M1535 Super I/O mouse irq.\n");
 
 	request_region(M1535_CONFIG_PORT, 2, "M1535 Super I/O config");
 
@@ -287,7 +287,7 @@
 			    || dev->device == PCI_DEVICE_ID_AL_M1533) {
 				u8 old;
 				printk
-				    ("Enabling ALI M1533/35 PS2 keyboard/mouse.\n");
+				    (KERN_INFO "Enabling ALI M1533/35 PS2 keyboard/mouse.\n");
 				pci_read_config_byte(dev, 0x41, &old);
 				pci_write_config_byte(dev, 0x41, old | 0xd0);
 			}
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-hplj.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-hplj.c
--- linux-2.6.0-test1/arch/mips/pci/pci-hplj.c	2003-07-13 23:36:48.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-hplj.c	2003-07-16 16:19:47.000000000 -0400
@@ -35,7 +35,7 @@
 	*val =
 	    (le32_to_cpu(*pci_config_data_reg) >> ((where & 3) << 3)) &
 	    0xff;
-	//printk("pci_read_byte 0x%x == 0x%x\n", where, *val);
+	//printk(KERN_DEBUG "pci_read_byte 0x%x == 0x%x\n", where, *val);
 	return PCIBIOS_SUCCESSFUL;
 }
 
@@ -48,7 +48,7 @@
 	*val =
 	    (le32_to_cpu(*pci_config_data_reg) >> ((where & 3) << 3)) &
 	    0xffff;
-	//printk("pci_read_word 0x%x == 0x%x\n", where, *val);
+	//printk(KERN_DEBUG "pci_read_word 0x%x == 0x%x\n", where, *val);
 	return PCIBIOS_SUCCESSFUL;
 }
 
@@ -59,7 +59,7 @@
 		return PCIBIOS_BAD_REGISTER_NUMBER;
 	*pci_config_address_reg = cfgaddr(dev, where);
 	*val = le32_to_cpu(*pci_config_data_reg);
-	//printk("pci_read_dword 0x%x == 0x%x\n", where, *val);
+	//printk(KERN_DEBUG "pci_read_dword 0x%x == 0x%x\n", where, *val);
 	return PCIBIOS_SUCCESSFUL;
 }
 
@@ -68,7 +68,7 @@
 {
 	*pci_config_address_reg = cfgaddr(dev, where);
 	*(volatile u8 *) (((int) pci_config_data_reg) + (where & 3)) = val;
-	//printk("pci_write_byte 0x%x = 0x%x\n", where, val);
+	//printk(KERN_DEBUG "pci_write_byte 0x%x = 0x%x\n", where, val);
 	return PCIBIOS_SUCCESSFUL;
 }
 
@@ -80,7 +80,7 @@
 	*pci_config_address_reg = cfgaddr(dev, where);
 	*(volatile u16 *) (((int) pci_config_data_reg) + (where & 2)) =
 	    le16_to_cpu(val);
-	//printk("pci_write_word 0x%x = 0x%x\n", where, val);
+	//printk(KERN_DEBUG "pci_write_word 0x%x = 0x%x\n", where, val);
 	return PCIBIOS_SUCCESSFUL;
 }
 
@@ -91,7 +91,7 @@
 		return PCIBIOS_BAD_REGISTER_NUMBER;
 	*pci_config_address_reg = cfgaddr(dev, where);
 	*pci_config_data_reg = le32_to_cpu(val);
-	//printk("pci_write_dword 0x%x = 0x%x\n", where, val);
+	//printk(KERN_DEBUG "pci_write_dword 0x%x = 0x%x\n", where, val);
 	return PCIBIOS_SUCCESSFUL;
 }
 
@@ -169,7 +169,7 @@
 		pci_regs_base_offset = 0xbff70000;
 		break;
 	default:
-		printk("ERROR: PCI does not support %s Asic\n",
+		printk(KERN_ERR "ERROR: PCI does not support %s Asic\n",
 		       GetAsicName());
 		while (1);
 		break;
@@ -219,7 +219,7 @@
 	int pos;
 	int bases;
 
-	printk("adjusting pci device: %s\n", dev->name);
+	printk(KERN_INFO "adjusting pci device: %s\n", dev->name);
 
 	switch (dev->hdr_type) {
 	case PCI_HEADER_TYPE_NORMAL:
diff -urN linux-2.6.0-test1/arch/mips/pci/pci-ip27.c linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ip27.c
--- linux-2.6.0-test1/arch/mips/pci/pci-ip27.c	2003-07-13 23:38:52.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/pci/pci-ip27.c	2003-07-16 16:23:34.000000000 -0400
@@ -141,7 +141,7 @@
 	ioport_resource.end = ~0UL;
 
 	for (i = 0; i < num_bridges; i++) {
-		printk("PCI: Probing PCI hardware on host bus %2d.\n", i);
+		printk(KERN_INFO "PCI: Probing PCI hardware on host bus %2d.\n", i);
 		pci_scan_bus(i, ops, NULL);
 	}
 
@@ -266,7 +266,7 @@
 {
 	unsigned long bus_id = (unsigned) d->bus->number;
 
-	printk("PCI: Fixing base addresses for IOC3 device %s\n",
+	printk(KERN_INFO "PCI: Fixing base addresses for IOC3 device %s\n",
 	       d->slot_name);
 
 	d->resource[0].start |= NODE_OFFSET(bus_to_nid[bus_id]);
@@ -281,7 +281,7 @@
 
 	d->resource[0].start |=
 	    ((unsigned long) (bus_to_nid[d->bus->number]) << 32);
-	printk("PCI: Fixing isp1020 in [bus:slot.fn] %s\n", d->slot_name);
+	printk(KERN_INFO "PCI: Fixing isp1020 in [bus:slot.fn] %s\n", d->slot_name);
 
 	/*
 	 * Configure device to allow bus mastering, i/o and memory mapping.
@@ -311,7 +311,7 @@
 	unsigned int start;
 	unsigned short command;
 
-	printk("PCI: Fixing isp2x00 in [bus:slot.fn] %s\n", d->slot_name);
+	printk(KERN_INFO "PCI: Fixing isp2x00 in [bus:slot.fn] %s\n", d->slot_name);
 
 	/* set the resource struct for this device */
 	start = (u32) (u64) bridge;	/* yes, we want to lose the upper 32 bits here */
@@ -355,7 +355,7 @@
 	/* set pci bus timeout */
 	bridge->b_bus_timeout |= BRIDGE_BUS_PCI_RETRY_HLD(0x3);
 	bridge->b_wid_tflush;
-	printk("PCI: bridge bus timeout= 0x%x \n", bridge->b_bus_timeout);
+	printk(KERN_WARNING "PCI: bridge bus timeout= 0x%x \n", bridge->b_bus_timeout);
 
 	/* set host error field */
 	bridge->b_int_host_err = 0x44;
@@ -363,7 +363,7 @@
 
 	bridge->b_wid_tflush;	/* wait until Bridge PIO complete */
 	for (i = 0; i < 8; i++)
-		printk("PCI: device(%d)= 0x%x\n", i,
+		printk(KERN_INFO "PCI: device(%d)= 0x%x\n", i,
 		       bridge->b_device[i].reg);
 
 	/* configure device to allow bus mastering, i/o and memory mapping */
